"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.applicationSchematic = void 0;
exports.configurationGenerator = configurationGenerator;
const tslib_1 = require("tslib");
const devkit_1 = require("@nx/devkit");
const add_capacitor_1 = require("./lib/add-capacitor");
const add_dependencies_1 = require("./lib/add-dependencies");
const files_1 = require("./lib/files");
const normalize_options_1 = require("./lib/normalize-options");
const update_workspace_1 = require("./lib/update-workspace");
function configurationGenerator(host, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const normalizedOptions = (0, normalize_options_1.normalizeOptions)(host, options);
        const installTask = (0, add_dependencies_1.addDependencies)(host);
        (0, files_1.addFiles)(host, normalizedOptions);
        (0, files_1.deleteFiles)(host, normalizedOptions);
        (0, update_workspace_1.updateWorkspace)(host, normalizedOptions);
        // eslint-disable-next-line @typescript-eslint/no-empty-function
        let capacitorTask = () => { };
        if (options.capacitor) {
            capacitorTask = yield (0, add_capacitor_1.addCapacitor)(host, normalizedOptions);
        }
        if (!options.skipFormat) {
            yield (0, devkit_1.formatFiles)(host);
        }
        return (0, devkit_1.runTasksInSerial)(installTask, capacitorTask);
    });
}
exports.default = configurationGenerator;
exports.applicationSchematic = (0, devkit_1.convertNxGenerator)(configurationGenerator);
//# sourceMappingURL=generator.js.map